require File.dirname(__FILE__) + '/../test_helper'

class FriendshipTest < Test::Unit::TestCase
  fixtures :friendships, :users

  def test_friends_include
    assert ! users(:tom).friends.include?(users(:tom))
    assert users(:tom).friends.include?(users(:wilma))
    assert users(:tom).friends.include?(users(:bob))

    assert ! users(:wilma).friends.include?(users(:tom))
    assert ! users(:wilma).friends.include?(users(:wilma))
    assert users(:wilma).friends.include?(users(:bob))

    assert users(:bob).friends.include?(users(:tom))
    assert ! users(:bob).friends.include?(users(:wilma))
    assert ! users(:bob).friends.include?(users(:bob))
  end

  def test_befrienders_include
    assert ! users(:tom).befrienders.include?(users(:tom))
    assert ! users(:tom).befrienders.include?(users(:wilma))
    assert users(:tom).befrienders.include?(users(:bob))

    assert users(:wilma).befrienders.include?(users(:tom))
    assert ! users(:wilma).befrienders.include?(users(:wilma))
    assert ! users(:wilma).befrienders.include?(users(:bob))

    assert users(:bob).befrienders.include?(users(:tom))
    assert users(:bob).befrienders.include?(users(:wilma))
    assert ! users(:bob).befrienders.include?(users(:bob))
  end
end
